PETSc version 3.15.5
Fix/Edit manual page

# MatSetPreallocationCOO

set preallocation for matrices using a coordinate format of the entries

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetPreallocationCOO(Mat A,PetscInt ncoo,const PetscInt coo_i[],const PetscInt coo_j[])

Collective on Mat

### Input Arguments

| A | - matrix being preallocated
| ncoo | - number of entries in the locally owned part of the parallel matrix
| coo_i | - row indices
| coo_j | - column indices

Notes: Entries can be repeated, see MatSetValuesCOO(). Currently optimized for cuSPARSE matrices only.

### See Also

MatSetValuesCOO(), MatSeqAIJSetPreallocation(), MatMPIAIJSetPreallocation(), MatSeqBAIJSetPreallocation(), MatMPIBAIJSetPreallocation(), MatSeqSBAIJSetPreallocation(), MatMPISBAIJSetPreallocation()

### Level

beginner

### Location

src/mat/utils/gcreate.c

### Implementations

MatSetPreallocationCOO_MPIAIJCUSPARSE in src/mat/impls/aij/mpi/mpicusparse/mpiaijcusparse.cu
MatSetPreallocationCOO_SeqAIJCUSPARSE in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages